<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>DatabaseParameterBufferExtension (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DatabaseParameterBufferExtension (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" target="_top">Frames</a></li>
<li><a href="DatabaseParameterBufferExtension.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl</div>
<h2 title="Interface DatabaseParameterBufferExtension" class="title">Interface DatabaseParameterBufferExtension</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">DatabaseParameterBufferImp</a>, <a href="../../../../org/firebirdsql/jca/FBConnectionRequestInfo.html" title="class in org.firebirdsql.jca">FBConnectionRequestInfo</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DatabaseParameterBufferExtension</span>
extends <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></pre>
<div class="block">Extension of the <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a> 
 interface that allows GDS implementations remove the DPB extension parameters
 that driver implementation uses for client-side configuration.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#BLOB_BUFFER_SIZE">BLOB_BUFFER_SIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#COLUMN_LABEL_FOR_NAME">COLUMN_LABEL_FOR_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#DB_CRYPT_CONFIG">DB_CRYPT_CONFIG</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#EXTENSION_PARAMETERS">EXTENSION_PARAMETERS</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Will be removed in Jaybird 5 without formal replacement</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#FILENAME_CHARSET">FILENAME_CHARSET</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#GENERATED_KEYS_ENABLED">GENERATED_KEYS_ENABLED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#IGNORE_PROCEDURE_TYPE">IGNORE_PROCEDURE_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#LOCAL_ENCODING">LOCAL_ENCODING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#MAPPING_PATH">MAPPING_PATH</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#NO_RESULT_SET_TRACKING">NO_RESULT_SET_TRACKING</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#OCTETS_AS_BYTES">OCTETS_AS_BYTES</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#PARANOIA_MODE">PARANOIA_MODE</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#RESULT_SET_HOLDABLE">RESULT_SET_HOLDABLE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#SO_TIMEOUT">SO_TIMEOUT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#SOCKET_BUFFER_SIZE">SOCKET_BUFFER_SIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#TIMESTAMP_USES_LOCAL_TIMEZONE">TIMESTAMP_USES_LOCAL_TIMEZONE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#USE_FIREBIRD_AUTOCOMMIT">USE_FIREBIRD_AUTOCOMMIT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#USE_STANDARD_UDF">USE_STANDARD_UDF</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#USE_STREAM_BLOBS">USE_STREAM_BLOBS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#WIRE_CRYPT_LEVEL">WIRE_CRYPT_LEVEL</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.DatabaseParameterBuffer">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ACTIVATE_SHADOW">ACTIVATE_SHADOW</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ADDRESS_PATH">ADDRESS_PATH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ALLOCATION">ALLOCATION</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#BEGIN_LOG">BEGIN_LOG</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#BUFFER_LENGTH">BUFFER_LENGTH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CACHE_MANAGER">CACHE_MANAGER</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CDD_PATHNAME">CDD_PATHNAME</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CONNECT_TIMEOUT">CONNECT_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DAMAGED">DAMAGED</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DBKEY_SCOPE">DBKEY_SCOPE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DEBUG">DEBUG</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DELETE_SHADOW">DELETE_SHADOW</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DISABLE_JOURNAL">DISABLE_JOURNAL</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DISABLE_WAL">DISABLE_WAL</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DROP_WALFILE">DROP_WALFILE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DUMMY_PACKET_INTERVAL">DUMMY_PACKET_INTERVAL</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ENABLE_JOURNAL">ENABLE_JOURNAL</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ENCRYPT_KEY">ENCRYPT_KEY</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#FORCE_WRITE">FORCE_WRITE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GARBAGE_COLLECT">GARBAGE_COLLECT</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GBAK_ATTACH">GBAK_ATTACH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GFIX_ATTACH">GFIX_ATTACH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GSEC_ATTACH">GSEC_ATTACH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GSTAT_ATTACH">GSTAT_ATTACH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#INTERP">INTERP</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#JOURNAL">JOURNAL</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LC_CTYPE">LC_CTYPE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LC_MESSAGES">LC_MESSAGES</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LICENSE">LICENSE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_DB_TRIGGERS">NO_DB_TRIGGERS</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_GARBAGE_COLLECT">NO_GARBAGE_COLLECT</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_RESERVE">NO_RESERVE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NUM_BUFFERS">NUM_BUFFERS</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NUMBER_OF_USERS">NUMBER_OF_USERS</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_DUMP_ID">OLD_DUMP_ID</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_FILE">OLD_FILE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_FILE_SIZE">OLD_FILE_SIZE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_NUM_FILES">OLD_NUM_FILES</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_FILE">OLD_START_FILE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_PAGE">OLD_START_PAGE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_SEQNO">OLD_START_SEQNO</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ONLINE">ONLINE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ONLINE_DUMP">ONLINE_DUMP</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OVERWRITE">OVERWRITE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PAGE_SIZE">PAGE_SIZE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PASSWORD">PASSWORD</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PASSWORD_ENC">PASSWORD_ENC</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PROCESS_ID">PROCESS_ID</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PROCESS_NAME">PROCESS_NAME</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#QUIT_LOG">QUIT_LOG</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#RESERVED">RESERVED</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SEC_ATTACH">SEC_ATTACH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_CHARSET">SET_DB_CHARSET</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_READONLY">SET_DB_READONLY</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_SQL_DIALECT">SET_DB_SQL_DIALECT</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_PAGE_BUFFERS">SET_PAGE_BUFFERS</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SHUTDOWN">SHUTDOWN</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SHUTDOWN_DELAY">SHUTDOWN_DELAY</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SQL_DIALECT">SQL_DIALECT</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SQL_ROLE_NAME">SQL_ROLE_NAME</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SWEEP">SWEEP</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SWEEP_INTERVAL">SWEEP_INTERVAL</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SYS_USER_NAME">SYS_USER_NAME</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SYS_USER_NAME_ENC">SYS_USER_NAME_ENC</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#TRACE">TRACE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#TRUSTED_AUTH">TRUSTED_AUTH</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#USER">USER</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#USER_NAME">USER_NAME</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#VERIFY">VERIFY</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_BACKUP_DIR">WAL_BACKUP_DIR</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_BUFSIZE">WAL_BUFSIZE</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_CHKPTLEN">WAL_CHKPTLEN</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_GRP_CMT_WAIT">WAL_GRP_CMT_WAIT</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_NUMBUFS">WAL_NUMBUFS</a>, <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WORKING_DIRECTORY">WORKING_DIRECTORY</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#removeExtensionParams--">removeExtensionParams</a></span>()</code>
<div class="block">Remove extension parameters in the newly created deep copy of this class.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.DatabaseParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#deepCopy--">deepCopy</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ConnectionParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html#getDefaultEncoding--">getDefaultEncoding</a>, <a href="../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html#getTagMapping--">getTagMapping</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SOCKET_BUFFER_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOCKET_BUFFER_SIZE</h4>
<pre>static final&nbsp;int SOCKET_BUFFER_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.SOCKET_BUFFER_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLOB_BUFFER_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLOB_BUFFER_SIZE</h4>
<pre>static final&nbsp;int BLOB_BUFFER_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.BLOB_BUFFER_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USE_STREAM_BLOBS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USE_STREAM_BLOBS</h4>
<pre>static final&nbsp;int USE_STREAM_BLOBS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.USE_STREAM_BLOBS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PARANOIA_MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARANOIA_MODE</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
static final&nbsp;int PARANOIA_MODE</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.PARANOIA_MODE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TIMESTAMP_USES_LOCAL_TIMEZONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TIMESTAMP_USES_LOCAL_TIMEZONE</h4>
<pre>static final&nbsp;int TIMESTAMP_USES_LOCAL_TIMEZONE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.TIMESTAMP_USES_LOCAL_TIMEZONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USE_STANDARD_UDF">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USE_STANDARD_UDF</h4>
<pre>static final&nbsp;int USE_STANDARD_UDF</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.USE_STANDARD_UDF">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCAL_ENCODING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOCAL_ENCODING</h4>
<pre>static final&nbsp;int LOCAL_ENCODING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.LOCAL_ENCODING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MAPPING_PATH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAPPING_PATH</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
static final&nbsp;int MAPPING_PATH</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.MAPPING_PATH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NO_RESULT_SET_TRACKING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_RESULT_SET_TRACKING</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
static final&nbsp;int NO_RESULT_SET_TRACKING</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.NO_RESULT_SET_TRACKING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESULT_SET_HOLDABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESULT_SET_HOLDABLE</h4>
<pre>static final&nbsp;int RESULT_SET_HOLDABLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.RESULT_SET_HOLDABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FILENAME_CHARSET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FILENAME_CHARSET</h4>
<pre>static final&nbsp;int FILENAME_CHARSET</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.FILENAME_CHARSET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OCTETS_AS_BYTES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OCTETS_AS_BYTES</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
static final&nbsp;int OCTETS_AS_BYTES</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.OCTETS_AS_BYTES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SO_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SO_TIMEOUT</h4>
<pre>static final&nbsp;int SO_TIMEOUT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.SO_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COLUMN_LABEL_FOR_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COLUMN_LABEL_FOR_NAME</h4>
<pre>static final&nbsp;int COLUMN_LABEL_FOR_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.COLUMN_LABEL_FOR_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USE_FIREBIRD_AUTOCOMMIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USE_FIREBIRD_AUTOCOMMIT</h4>
<pre>static final&nbsp;int USE_FIREBIRD_AUTOCOMMIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.USE_FIREBIRD_AUTOCOMMIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WIRE_CRYPT_LEVEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WIRE_CRYPT_LEVEL</h4>
<pre>static final&nbsp;int WIRE_CRYPT_LEVEL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.WIRE_CRYPT_LEVEL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DB_CRYPT_CONFIG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DB_CRYPT_CONFIG</h4>
<pre>static final&nbsp;int DB_CRYPT_CONFIG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.DB_CRYPT_CONFIG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GENERATED_KEYS_ENABLED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATED_KEYS_ENABLED</h4>
<pre>static final&nbsp;int GENERATED_KEYS_ENABLED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.GENERATED_KEYS_ENABLED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="IGNORE_PROCEDURE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IGNORE_PROCEDURE_TYPE</h4>
<pre>static final&nbsp;int IGNORE_PROCEDURE_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.IGNORE_PROCEDURE_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EXTENSION_PARAMETERS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EXTENSION_PARAMETERS</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
static final&nbsp;int[] EXTENSION_PARAMETERS</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Will be removed in Jaybird 5 without formal replacement</span></div>
<div class="block">List of the DPB extensions. This array was used to filter the parameters
 from the DPB before sending it to Firebird. Any new extension code MUST
 be listed here.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="removeExtensionParams--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeExtensionParams</h4>
<pre><a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;removeExtensionParams()</pre>
<div class="block">Remove extension parameters in the newly created deep copy of this class.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a deep copy of this class where all extension parameters are 
 removed; needed to filter Jaybird extensions that are not understood by
 Firebird.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" target="_top">Frames</a></li>
<li><a href="DatabaseParameterBufferExtension.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
